<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$formname = "Attendance Register -  Monthly";
$action = "attendreg_fr.php";
$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];

$zyear = right($zdb, 4);
$mfrdate = getzdates($zyear, 'S');
$mtodate = getzdates($zyear, 'E');
mysqli_select_db($conn, $zdb);

$myyear = $_SESSION[$myyear];
$zroot = $_SESSION["zdbroot"];

include("includes/linkshead.php");
?>
<script type="text/javascript">
    $(document).ready(function () {


        $('body').on('change blur', '.dept', getProc);

        function getProc() {
            var dept = $(".dept").val();

            if (dept != '') {
                $.get('getproc.php', {dept: dept}, function (data) {
                    $(".process").html(data);
                });
            }
        }
        
        $('body').on('change blur', '.process', getEmp);

        function getEmp() {
            var process = $(".process").val();

            if (process != '') {
                $.get('getEmp.php', {process: process}, function (data) {
                    $(".acname").html(data);
                });
            }
        }
    });
</script>

</head>
<body>
    <form method='POST' action="<?= $action; ?>">
        <!-- Default box -->
        <div>
            <div class="col-lg-5 col-md-12 col-sm-12 col-xs-12  pad">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h3 class="panel-title"><?php Echo $formname; ?></h3>

                    </div>
                    <div class="panel-body">
                        
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                                <label class="label-control ">A/c Name</label>
                            </div>
                            <div class="col-lg-8 col-md-5 col-sm-5 col-xs-5 pad">
                                <select name="acname" class="form-control select2 acname">
                                    <option value=""></option>
                                    <?php
                                    $gparty = mysqli_query($conn, "SELECT `name`, `accode`, custcode FROM `accmast` WHERE `grpcode`='040' order by name")or die(mysqli_error($conn));
                                    while ($party = mysqli_fetch_array($gparty)) {
                                        Echo "<option value='$party[accode]'>$party[name]</option>";
                                    }
                                    ?>

                                </select>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                                <label class="label-control marg">Month</label>
                            </div>
                            <div class="col-lg-4 col-md-4 col-sm-6 col-xs-6 pad">
                                <select  class="form-control  select2 mon monname"  name="month">
                                    <option value=""></option>
                                    <?php
                                    $gmonth = mysqli_query($conn, "SELECT * FROM $zroot.`month` order by moncode")or die(mysqli_error($conn));
                                    while ($month = mysqli_fetch_array($gmonth)) {
                                        Echo "<option value='$month[moncode]'>$month[monname]</option>";
                                    }
                                    ?>
                                </select>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                                <label class="label-control marg">Year</label>
                            </div>
                            <div class="col-lg-4 col-md-4 col-sm-6 col-xs-6 pad">
                                <input type="text" class="form-control yearno" name="yearno" required>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right pad">
                                <label class="label-control marg">Report Type</label>
                            </div>
                            <div class="col-lg-4 col-md-4 col-sm-6 col-xs-6 pad">
                                <select  class="form-control  select2 "  name="reptype">
                                    <option value="1">By Time</option>
                                    <option value="2">By Hrs</option>

                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="panel-footer text-center pad">
                        <?php include("includes/but_rep.php"); ?>
                    </div>
                </div>
            </div>
        </div>
    </form>
    <?php include("includes/linksfoot.php"); ?>
</body>
</html>


